mod game;
mod labled_switch;
mod ui;

use crate::ui::menu::MenuScene;

use gio::Settings;
use gtk::{prelude::*, ApplicationWindow};
use gtk::{glib, Application, gio};

const APP_ID: &str = "org.foxarmy.learn-hieroglyph";

fn main() -> glib::ExitCode {
    print!("cargo:rerun-if-changed=build.rs");
    gio::resources_register_include!("compiled.gresource")
        .expect("Cannot include gresources");

    let app: Application = Application::builder().application_id(APP_ID).build();

    app.connect_activate(test_ui);


    app.run()
}

fn test_ui (app: &Application) {
    let window: ApplicationWindow = MenuScene::new(app).into();

    let settings = Settings::new(APP_ID);

    println!("{}", settings.boolean("is-ktr-enabled"));
    println!("{}", settings.boolean("is-ktr-enabled"));

    window.present();
}
